From 5b11e70a9617c6e248fd6947e84016bd8c37028e Mon Sep 17 00:00:00 2001
From: Erin Schlarb <erin-dev@ninetailed.ninja>
Date: Thu, 20 Apr 2023 13:32:32 +0200
Subject: [PATCH] fix(cli): execute as expected if `ksh_arrays` is set (#11629)

---
 lib/cli.zsh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/cli.zsh b/lib/cli.zsh
index ba3e39eb5..561c1b98b 100644
--- a/lib/cli.zsh
+++ b/lib/cli.zsh
@@ -11,7 +11,7 @@ function omz {
 
   # Subcommand functions start with _ so that they don't
   # appear as completion entries when looking for `omz`
-  (( $+functions[_omz::$command] )) || {
+  (( ${+functions[_omz::$command]} )) || {
     _omz::help
     return 1
   }